Bug 9292 - Incorrect X path (wdm may not be started) in wdm-1.28-alt2.1
: Incorrect X path (wdm may not be started) in wdm-1.28-alt2.1
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/wdm)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-03-20 23:29 by
Modified: 2008-04-25 16:58 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-03-20 23:29:43
$ rpm -q wdm
wdm-1.28-alt2.1

$ rpm -ql wdm
...
/usr/X11R6/bin/wdm
/usr/X11R6/bin/wdmLogin
/usr/X11R6/man/man1/wdm.1.bz2
/usr/X11R6/man/man1/wdmLogin.1.gz
...

$ more /etc/X11/wdm/Xservers 
...
:0 local /usr/X11R6/bin/X

Steps to Reproduce:
1. Upgrade wdm
2. See file paths and configuration files
3.
Actual Results:  
The package is built assuming the X11R6 version of X. From now xorg 7.0 is not
located in the directory /usr/X11R6 so wdm does not find proper X location and
is failed to start.

Expected Results:  
Files must be relocated at proper position (/usr/bin/wdm I guess) and
configuration files must be rewritten properly. This works just for me, I hope
this must be so.
------- Comment #1 From 2006-10-17 22:28:58 -------
Package does not work in the current environment without manual configuration.
------- Comment #2 From 2006-10-18 08:32:26 -------
ну значит следующим пакетом будет этот...
------- Comment #3 From 2006-10-18 12:47:56 -------
Гм, и впрямь -- работает, но после чьего-то совета посмотреть в xdm:

S.5....T   /etc/X11/wdm/GiveConsole
S.5....T   /etc/X11/wdm/TakeConsole
S.?....T c /etc/X11/wdm/wdm-config
..?..... c /etc/X11/wdm/wdmLogin-config
..?..... c /etc/pam.d/wdm
S.......   /usr/X11R6/bin/wdm
S.......   /usr/X11R6/bin/wdmLogin
------- Comment #4 From 2006-10-24 22:08:35 -------
fixed in 1.28-alt3